Skip to main content
Resource Center/Network Resource/OSPF Operations
POSTOSPF OperationsSince 3.4.0SynchronousAuth Required

CreateVRouterOspfArea

CreateVRouterOspfArea

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • areaIdStringRequired

      The area ID.

    • areaAuthString

      Optional. The authentication mode of the OSPF area.

    • areaTypeString

      Optional. The area type.

    • passwordString

      Optional. The password when the authentication mode is plaintext.

    • keyIdInteger

      Optional. The key ID when the authentication mode is MD5 checksum.

    • resourceUuidString

      Optional. The area resource UUID.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryRouterAreaInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • areaIdStringRequired

      No description provided.

    • typeStringRequired

      类型。

    • authenticationStringRequired

      认证。

    • passwordStringRequired

      密码。

    • keyIdIntegerRequired

      键ID。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

POST/zstack/v1/routerArea

/zstack/v1/routerArea

Operation ID

CreateVRouterOspfArea

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/routerArea' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"areaId":"<areaId>","areaAuth":"<areaAuth>","areaType":"<areaType>","password":"<password>","keyId":1,"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "d82d2b6108b0331b90161b939987e5ae", "areaId": "1", "type": "Stub", "authentication": "Plaintext", "password": "password", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history